Page MenuHomePhabricator

efl_ui_radio_group: migrate to Efl.Ui.Single_Selectable
ClosedPublic

Authored by bu5hm4n on Aug 22 2019, 6:20 AM.

Details

Summary

with this the whole thing is migrated to single_selectable. The group is
added to the spec test suite. The elm_test case of radio_group now also has
a fallback option to demonstrate the usage of it.

This also fixes a broken testcase, where a flag was forgotten to be
checked.

ref T8024

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Aug 22 2019, 6:20 AM
bu5hm4n requested review of this revision.Aug 22 2019, 6:20 AM
zmike requested changes to this revision.Aug 23 2019, 11:03 AM

Seems good overall.

src/lib/elementary/efl_ui_radio_group_impl.c
75

in_value_change should probably be unset before this line to avoid bricking the widget even though this is a weird error.

This revision now requires changes to proceed.Aug 23 2019, 11:03 AM
bu5hm4n updated this revision to Diff 24465.Aug 23 2019, 11:45 AM
bu5hm4n edited the summary of this revision. (Show Details)

move flag setting

zmike accepted this revision.Aug 23 2019, 12:08 PM
This revision is now accepted and ready to land.Aug 23 2019, 12:08 PM
bu5hm4n updated this revision to Diff 24470.Aug 23 2019, 12:29 PM

merge in changes that got lost

i lost a few changes in the last update which failed a testcase, sorry.

bu5hm4n planned changes to this revision.Aug 26 2019, 5:44 AM

There are a few more issues, this needs more testing, spec test suite randomly fails here.

bu5hm4n updated this revision to Diff 24535.Aug 27 2019, 7:04 AM
bu5hm4n edited the summary of this revision. (Show Details)

there was a buggy test case, that forgot to reset and change flags.

Reason it works for grid and list is, that grid and list do emit that signal async

(which is legal according to the docs).

This revision is now accepted and ready to land.Aug 27 2019, 7:04 AM
bu5hm4n requested review of this revision.Aug 28 2019, 8:23 AM

Phab ? wtf ?

This revision was not accepted when it landed; it landed in state Needs Review.Aug 28 2019, 11:30 PM
Closed by commit rEFLd445e5240b03: efl_ui_radio_group: migrate to Efl.Ui.Single_Selectable (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.